MA(3)

NAME
BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT - Indicates make_recursive_variant operates in an implementation-defined manner.

SYNOPSIS

// In header: <boost/variant/variant_fwd.hpp>
BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT

DESCRIPTION

Defined only if make_recursive_variant does not operate as documented on the target compiler, but rather in an implementation-defined manner.

Implementation Note: If BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT is defined for the target compiler, the current implementation uses the MPL[1] lambda mechanism to approximate the desired behavior. (In most cases, however, such compilers do not have full lambda support either.)